<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package luzuk Premium
 */

?>
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	}
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}
	if( get_theme_mod('sec_footersecopacity',true) ) {
		$sec_footersecopacity = 'opacity:'.esc_attr(get_theme_mod('sec_footersecopacity')).';';
	}

?>		

<footer class="footer-area" id="footer" style="<?php echo esc_attr($sec_footerseTmargin); ?><?php echo esc_attr($sec_footersebottommargin); ?><?php echo esc_attr($sec_footersecopacity); ?>">
		<div class="overlay" ></div>
		<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="1501" height="557.748" viewBox="0 0 1501 557.748">
  <defs>
    <linearGradient id="linear-gradient" x1="0.5" x2="0.5" y2="1" gradientUnits="objectBoundingBox">
      <stop offset="0" stop-color="#fa6f00"/>
      <stop offset="1" stop-color="#ffa200"/>
    </linearGradient>
  </defs>
  <path id="Rectangle_2" data-name="Rectangle 2" d="M-1,225.581c232.715-2,594.274-1.17,691.941,1,21.736.477,60.569.272,101.8,22.269C817.957,262.3,848.417,291.8,848.417,291.8s204.735,205.39,305.408,305.408c21.485,22.338,44.321,39.709,73.171,50.9,25.844,10.021,56.552,14.87,84.305,14.316,66.278-.53,121.42-1.061,187.7-1.591v41.357H-1Z" transform="translate(2 -224.443)" fill-rule="evenodd" opacity="0.99" fill="url(#linear-gradient)"/>
  <path id="Rectangle_2-2" data-name="Rectangle 2" d="M10,226.581c232.715-2,583.274-2.17,680.941,0,21.736.477,60.569.272,101.8,22.269C817.957,262.3,848.417,291.8,848.417,291.8s204.735,205.39,305.408,305.408c21.485,22.338,44.321,39.709,73.171,50.9,25.844,10.021,56.552,14.87,84.305,14.316l198.7-1.591v91.357H9Z" transform="translate(-9 -194.443)" fill="#222a35" fill-rule="evenodd" opacity="0.99"/>
</svg>

	<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') || is_active_sidebar('luzuk-footer3') || is_active_sidebar('luzuk-footer4') ){ ?>
		
		<div class="top-area ">
				<div class="container"> 
								<div class="fbox">
									<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 single-footer-1">
										<div class="s-footer col-lg-2 col-md-2 col-sm-4 col-xs-12 single-footer-11">
												<div class="single-footer wow zoomIn" data-wow-duration="1s" >
													<?php if(is_active_sidebar('luzuk-footer1')): 
														dynamic_sidebar('luzuk-footer1');
													endif;
													?>	
												</div>
												<div class="clearfix"></div>
										</div>
										<div class="s-footer col-lg-5 col-md-8 col-sm-8 col-xs-12 single-footer-12">
												<div class="single-footer wow zoomIn" data-wow-duration="1s" >
													<?php if(is_active_sidebar('luzuk-footer2')): 
														dynamic_sidebar('luzuk-footer2');
													endif;
													?>	
												</div>
												<div class="clearfix"></div>
										</div>
									</div>
										<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
										<div class="s-footer col-lg-4 col-md-4 col-sm-4 col-xs-12 single-footer-3">
												<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
													<?php if(is_active_sidebar('luzuk-footer3')): 
														dynamic_sidebar('luzuk-footer3');
													endif;
													?>	
												</div>
										</div>

										<div class="s-footer col-lg-4 col-md-3 col-sm-4 col-xs-12 single-footer-4">
												<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
													<?php if(is_active_sidebar('luzuk-footer4')): 
														dynamic_sidebar('luzuk-footer4');
													endif;
													?>	
												</div>
												<div class="clearfix"></div>
										</div>

										<div class="s-footer col-lg-4 col-md-3 col-sm-4 col-xs-12 single-footer-5" >
												<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
													<?php if(is_active_sidebar('luzuk-footer5')): 
														dynamic_sidebar('luzuk-footer5');
													endif;
													?>	
												</div>
											<div class="clearfix"></div>
										</div>
									</div>
								</div>
				</div>
		</div>
	<?php } ?>

		<?php
				$footercopyright = get_theme_mod('footer_area_copyrighttext', 'Copyright @ 2022 Welding Work Pro All Right Reserved');
		?>

		<?php 

				if( get_theme_mod('sec_bottomareaTmargin',true) ) {
					$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
				}
				if( get_theme_mod('sec_bottomareabottommargin',true) ) {
					$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
				}
		
		?>		
		<div class="bottom-area wow zoomIn" style="<?php echo esc_attr($sec_bottomareaTmargin); ?><?php echo esc_attr($sec_bottomareabottommargin); ?>">
				<div class="container">
						<div class="col-md-12 col-sm-12 col-xs-12 pd-0">
								<div class="footer-text">
									<?php if($footercopyright){ ?>
											<?php echo $footercopyright;?>
									<?php } ?>
								</div>
						</div>
				</div>
		</div>
		
</footer><!-- #colophon -->
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>

<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script> 

<?php wp_footer(); ?>


<!-- <a id="back2Top" title="Back to top" href="#"> &#10148; </a> -->
<a id="back2Top" title="Back to top" href="#">
<div id="scrollToTop"><span><i class="fa fa-bolt" aria-hidden="true"></i></span></div>
</a>
<script>
$(window).on("scroll", function () {
  if (window.scrollY > window.outerHeight) {
    $("#scrollToTop").addClass("active");
    setTimeout(function() {
      var theta = ($(window).scrollTop() - (window.outerHeight + (window.outerHeight/2))) / 500;
      $('#scrollToTop').css({ transform: 'rotate(' + theta + 'rad)' });
    })
  } else {
    $("#scrollToTop").removeClass("active");
  }
});

$('#scrollToTop').on('click',function() {
  $("html, body").animate({ scrollTop: 0 }, 500);
})
</script>
</body>
</html>
